Skip to main content
GET
/
v1
/
contact
/
enrich
Get LinkedIn contact enrichment result
curl --request GET \
  --url https://app.kalent.ai/api/v1/contact/enrich \
  --header 'x-api-key: <api-key>'

Documentation Index

Fetch the complete documentation index at: https://docs.kalent.ai/llms.txt

Use this file to discover all available pages before exploring further.

First time? Set up Authentication

Learn how to authenticate your API requests with your API key.
Returns contact fields only for a talent and your workspace: emails, phones, and contactsLoading (email / phone booleans). This uses the same visibility rules as in-app candidate views (only values that are unlocked for the requesting user are returned).

Query parameters

talentId
string
required
Talent id returned by the POST start call (or any known talent id for your workspace).

Response

When success is true, data includes talentId, emails, phones, and contactsLoading.
curl -G https://app.kalent.ai/api/v1/contact/enrich \
  -H "x-api-key: YOUR_API_KEY" \
  --data-urlencode "talentId=TALENT_ID"

Errors

If no EnrichTransaction exists for the pair (talentId, workspace) (for example enrichment was never started for that workspace), the API returns HTTP 404 with error.code not_found.